Package org.eclipse.lemminx.commons

## Class SnippetsBuilder

- java.lang.Object
- - org.eclipse.lemminx.commons.SnippetsBuilder

    public class SnippetsBuilder
    extends Object

Snippet syntax utilities.

### Method Summary

All Methods Static Methods Concrete Methods
`static String` `choice​(int index, Collection<String> values)` Returns the LSP choices snippets content.
`static void` `choice​(int index, Collection<String> values, StringBuilder snippets)` Add LSP choices snippets in the given snippets content.
`static void` `placeholders​(int index, String text, StringBuilder snippets)`
`static String` `tabstops​(int index)`
`static void` `tabstops​(int index, StringBuilder snippets)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### tabstops

    public static void tabstops​(int index,
                                StringBuilder snippets)

#### tabstops

    public static String tabstops​(int index)

#### placeholders

    public static void placeholders​(int index,
                                    String text,
                                    StringBuilder snippets)

#### choice

    public static String choice​(int index,
                                Collection<String> values)

Returns the LSP choices snippets content.

Parameters:
  `index` - the snippet index.
  `values` - the values for the choice.
Returns:
  the LSP choices snippets content.

#### choice

    public static void choice​(int index,
                              Collection<String> values,
                              StringBuilder snippets)

Add LSP choices snippets in the given snippets content.

Parameters:
  `index` - the snippet index.
  `values` - the values for the choice.